
body {
    padding: 0;
    margin: 0;
    font-style: normal;
    font-weight: normal;
    touch-action: none;
}

.clear {
    clear: both;
}

.float-left {
    float: left;
}

.ellipsis {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: clip;
}


body a,
body a:hover,
body a:focus {
    text-decoration: none;
    outline: none;
}


.icon-close {
    /* background: url(assets_icons.svg) -70px 1px no-repeat; */
    background: url(../images/assets_icons.svg) -70px 1px no-repeat;
    height: 27px;
    width: 27px;
}

.icon-help {
    background: url(../images/assets_icons.svg) -607px 1px no-repeat;
    height: 27px;
    width: 27px;
}

.icon-sharetext {
    width: 21px; height: 21px; margin: 6px 11px 0px 0px
}

.icon-search {
    background: url(../images/assets_icons.svg) -200px 1px no-repeat;
    height: 27px;
    width: 27px;
}

.icon-menu-up {
    background: url(../images/assets_icons.svg) -354px 0px no-repeat;
    height: 27px;
    width: 27px;
}

.icon-menu {
    background: url(../images/assets_icons.svg) -530px 0px no-repeat;
    height: 27px;
    width: 40px;
}


.icon-setting {
    background: url(../images/assets_icons.svg) -321px 3px no-repeat;
    height: 27px;
    width: 27px;
}

.icon-bookmark-list {
    background: url(../images/assets_icons.svg) -636px 3px no-repeat;
    height: 27px;
    width: 27px;
   /* margin: 0 10px;*/
}

.icon-bookmark-list-active {
    background: url(../images/assets_icons.svg) -474px -29px no-repeat;
    height: 27px;
    width: 27px;
}

.icon-bookmark {
    background: url(../images/assets_icons.svg) -229px 3px no-repeat;
    height: 27px;
    width: 27px;
}

.icon-bookmark-fill {
    background: url(../images/assets_icons.svg) -417px 3px no-repeat;
    height: 27px;
    width: 27px;
}

.icon-theme {
    background: url(../images/assets_icons.svg) -101px 3px no-repeat;
    height: 27px;
    width: 34px;
    margin: 0 8px;
}

.icon-font-minus {
    background: url(../images/assets_icons.svg) -164px 0px no-repeat;
    height: 20px;
    width: 30px;
}

.icon-font-plus {
    background: url(../images/assets_icons.svg) -136px 0px no-repeat;
    height: 23px;
    width: 30px;
}

.icon-reset {
    background: url(../images/assets_icons.svg) -261px 3px no-repeat;
    height: 27px;
    width: 22px;
}

.icon-list {
    background: url(../images/assets_icons.svg) -34px 3px no-repeat;
    height: 27px;
    width: 27px;
    margin: 0 10px 0 0;
}

.icon-list-active {
    background: url(../images/assets_icons.svg) -34px -29px no-repeat;
    height: 27px;
    width: 27px;
    margin: 0 10px 0 0;
}

.icon-highlight {
    background: url(../images/assets_icons.svg) -292px 3px no-repeat;
    height: 27px;
    width: 22px;
}

.icon-highlight-active {
    background: url(../images/assets_icons.svg) -292px -29px no-repeat;
    height: 27px;
    width: 22px;
}

.icon-delete {
    background: url(../images/assets_icons.svg) -450px -29px no-repeat;
    height: 27px;
    width: 24px;
}

.settingbox {
    width : 140px;
}
.highlighter{
    background:url(../images/assets_icons.svg) -292px 3px no-repeat;
     height: 27px;
    width: 24px;
}

.upArrowImg{
     background-image:url(../images/assets_icons.svg);
     /* background-position: -292px 3px; */
     background-position: -350px 3px;
     background-repeat: no-repeat;
     height: 27px;
     width: 24px;
     display: inline-block;
}
/*---- Epub------*/
#main {
    z-index: 0;
    position: absolute;
    height: 100%;
    width: 100%;
    right: 0;
    background: #fff;
    overflow: hidden;
    -webkit-transition: -webkit-transform .4s, width .2s;
    -moz-transition: -webkit-transform .4s, width .2s;
    -ms-transition: -webkit-transform .4s, width .2s;
    -moz-box-shadow: inset 0 0 50px rgba(0, 0, 0, .1);
    -webkit-box-shadow: inset 0 0 50px rgba(0, 0, 0, .1);
    -ms-box-shadow: inset 0 0 50px rgba(0, 0, 0, .1);
    box-shadow: inset 0 0 50px rgba(0, 0, 0, .1);
    -webkit-transform: translate(0, 0);
    -moz-transform: translate(0, 0);
    -ms-transform: translate(0, 0);
    -webkit-transition: -webkit-transform .3s;
    -moz-transition: -moz-transform .3s;
    -ms-transition: -moz-transform .3s;
}

    #main.closed {
        overflow: hidden;
        -webkit-transform: translate(260px, 0);
        -moz-transform: translate(260px, 0);
        -ms-transform: translate(260px, 0);
    }

#prev {
    left: 40px;
}

#next {
    right: 40px;
}



.arrow {
    position: absolute;
    top: 50%;
    z-index: 3;
    margin-top: -32px;
    font-size: 64px;
    color: #E2E2E2;
    font-family: arial, sans-serif;
    font-weight: bold;
    cursor: pointer;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

    .arrow:hover {
        color: #777;
    }

    .arrow:active,
    .arrow.active {
        color: #000;
    }

#viewer {
    margin: 0;
    padding-top: 0;
    z-index: 2;
    position: relative;
    height: calc(100% - 110px);
    overflow: hidden;
}



/*----- Sidebar Menu --------*/

#sidebar {
    background: #fff;
    position: absolute;
    top: 44px;
    min-width: 100%;
    height: 98%;
    -webkit-transition: -webkit-transform .5s;
    -moz-transition: -moz-transform .5s;
    -ms-transition: -moz-transform .5s;
    overflow: scroll;
    z-index: 6;
}

#panel {
    background: #fb9f43;
    height: 70px;
    width: 100%;
    position: fixed;
    padding: 0px 10px;
    z-index: 5;
}

#toppanel {
    background: #FB9F43;
    width: 100%;
    position: relative;
    z-index: 3;
}

#sidebardata {
    font-family: 'ChanakyaUni' !important;
    top: 70px;
    width: 100%;
    position: absolute;
    padding: 0 15px 15px 0;
}



.titleClass {
    border-top: solid 1px #fff;
    padding: 3px 5px;
    color: white;
    font-weight: 400;
    z-index: 2;
}

/* Accordion */

.ePubSidebarMenu {
    padding: 0 0 0 15px;
    margin: 10px 0;
    list-style-type: none;
}

    .ePubSidebarMenu li {
        padding: 5px 0;
        margin: 0 !important;
    }

        .ePubSidebarMenu li a {
            text-decoration: none;
            color: #000000;
        }

            .ePubSidebarMenu li a:hover {
                color: #ff9237;
            }

.menuLevel1 {
    padding: 0 0 0 25px;
    margin: 10px 0;
    list-style-type: none;
}

    .menuLevel1 li {
        padding: 5px 0;
        margin: 0 !important;
    }

        .menuLevel1 li:last-child {
            border-bottom: none !important;
        }

        .menuLevel1 li a {
            color: #000000;
            text-decoration: none;
        }

            .menuLevel1 li a:hover {
                color: #ff9237;
            }

.sidebarToggleLevel1 {
    float: left;
    width: 20px;
    padding: 16px 0;
    cursor: pointer;
    margin-right: 5px;
}


.icon-plus {
    width: 16px;
    height: 16px;
    position: relative;
}

.icon-minus {
    width: 16px;
    height: 16px;
    position: relative;
}

.icon-plus::before {
    background-color: #ff9237;
    position: absolute;
    width: 2px;
    height: 12px;
    border-radius: 1px;
    -webkit-border-radius: 1px;
    -moz-border-radius: 1px;
    right: -7px;
    top: -5px;
    margin-right: 0 !important;
}

.icon-plus::after {
    background-color: #ff9237;
    position: absolute;
    width: 12px;
    height: 2px;
    border-radius: 1px;
    -webkit-border-radius: 1px;
    -moz-border-radius: 1px;
}

.icon-minus::after {
    background-color: #ff9237;
    width: 12px;
    height: 2px;
    position: absolute;
    z-index: 4;
}

.icon-minus:after, .icon-plus:after, .icon-plus:before {
    content: '';
}

.sidebarToggleLevel2 {
    float: left;
    width: 20px;
    padding: 16px 0;
    cursor: pointer;
    margin-right: 5px;
}

.menuLevel2 {
    padding: 0 0 0 40px;
    margin: 10px 0;
}

    .menuLevel2 li {
        padding: 5px 0;
        margin: 0 !important;
        color: #ff9237;
    }

.activesidebarmenu {
    color: #ff9135 !important;
}



.menu-active > svg {
    fill: #ff9237 !important;
}

.dislayhide {
    display: none;
}

#tocView li {
    margin-bottom: 10px;
    list-style: none;
    text-transform: capitalize;
    font-size: 24px;
    border-bottom: solid 1px #ff9237;
}

    #tocView li:active,
    #tocView li.currentChapter {
        list-style: none;
    }

#tocView.hidden {
    display: none;
}

/*---  Bookmark Sidebar -------*/

#bookmarksView ul {
    padding: 0px 14px;
}

.booktitleClass {
    background: #847d78;
    border-top: solid 1px #e69779;
    left: 0;
    top: 0;
    margin-bottom: 14px;
    padding: 8px 15px;
    color: white;
    font-weight: 600;
    font-size: 19px;
    z-index: 2;
}


#bookmarksView li {
    margin-bottom: 8px;
    font-family: 'ChanakyaUni' !important;
    list-style: none;
    text-transform: capitalize;
    font-size: 24px;
    border-bottom: 1px solid #ffc383;
    padding-bottom: 8px;
}


/*--- Title bar Heading -----*/

#titlebar {
    background-color: #FA8829;
    color: #ffffff;
}


#titleDiv1{
    width: 90px;
}

#titleDiv2 {
    /*width: calc(100% - 225px);*/
    width: calc(100% - 235px);
    margin-left: 5px;
}
 #titleDiv3, #titleDiv4, #titleDiv5, #titleDiv6 {
    /*width: 33px;*/
    margin-top: 4px;
}

#ChapterBar {
    padding: 0 20px 0 10px;
}

/*#ChapterName {*/
/*    font-family: 'ChanakyaUni', 'NalandaTim' !important;*/
/*    font-weight: bold;*/
/*    font-size: 19px!important;*/
/*    padding: 0 20px;*/
/*    color: #fff;*/
/*    text-align: center;*/
/*    width: 100%;*/
/*}*/


#ChapterName {
    font-size: 22px;
    padding: 0 20px;
    color: #fff;
    text-align: center;
    width: 100%;
}



/*#BookName {*/
/*/*    font-size: 20px;*/*/
/*/*    font-weight: bold;*/*/
/*/*    text-align: left;*/*/
/*font-family: 'ChanakyaUni', 'NalandaTim' !important;*/
/*font-weight: bold;*/
/*    font-size: 19px!important;*/
/*/*    padding: 0 20px;*/*/
/*    color: #fff;*/
/*    text-align: left;*/
/*    width: 100%;*/
/*}*/


#BookName {
/*    font-size: 20px;*/
/*    font-weight: bold;*/
/*    text-align: left;*/

    font-size: 22px;
/*    padding: 0 20px;*/
    color: #fff;
    text-align: left;
    width: 100%;
}
.rangeDiv {
    width: calc(100% - 46px);
    text-align: center;
}


#loader {
    position: absolute;
    z-index: 10;
    left: 50%;
    top: 50%;
    margin: -55px 0 0 -45px;
}

.ftrProgress {
    width: calc(100% - 200px);
    padding-right: 0 !important;
}

.vMiddle {
    height: 100%;
    display: flex;
    align-items: center;
}

#settingBox {
    /* padding-left: 48px !important; */
}

#swipeButton{
    z-index: 10;
}
.epubFooterBar {
    position: absolute;
    bottom: 0;
    background-color: #FA8829;
    color: #fff;
    width: 100%;
    z-index: 5;
}

    .epubFooterBar input:focus {
        outline: none;
    }

    .epubFooterBar input {
        height: 3px;
        width: calc(100% - 92px);
        -webkit-appearance: none !important;
        vertical-align: middle;
    }

        .epubFooterBar input::-webkit-slider-thumb {
            -webkit-appearance: none !important;
            background-color: #fff;
            border: #cfcece solid 2px;
            height: 13px;
            width: 13px;
            border-radius: 100%;
            cursor: pointer;
        }

.theme-btn-black {
    background-color: #000 !important;
}

.theme-btn-grey {
    background-color: #464646 !important;
}

.theme-btn-ivory {
    background-color: #fffcda !important;
}

.theme-btn-white {
    background-color: #FFFFFF !important;
}

.theme-black {
    background-color: #000 !important;
    color: #fff !important;
}

.theme-ivory {
    background-color: #fffcda !important;
    color: #000 !important;
}

.theme-grey {
    background-color: #464646 !important;
    color: #fff !important;
}

.theme-dark1 {
    background-color: #292929 !important;
    color: #fff !important;
}

.theme-dark2 {
    background-color: #5f5c5d !important;
    color: #fff !important;
}


.themefilter {
    -webkit-filter: invert(1) hue-rotate(180deg);
    filter: invert(1) hue-rotate(180deg);
}



#SettingBar {
    bottom: 43px;
    position: absolute;
    width: 100%;
    z-index: 5;
    color: #ffffff;
    padding: 0 4px;
    background-color: rgba(43, 43, 43,0.85);
}

#slider span{
    font-weight:bold;
}

#divTheme {
    background: #777;
    font-size: 20px;
    bottom: 46px;
    right: 37px;
    /* width: 32px; */
    /* height: 112px; */
    position: absolute;
    z-index: 5;
    padding: 0px;
}

/*  */

#divTheme div{
    padding: 12px;
    border-radius: 100%;
}

.zoomBox {
    width: 100px;
    height: 30px;
    background: #FB9F43;
    border-radius: 6px;
    margin: 0 6px;
}

#CloseBook .modal-header {
    background-color: #ff9237;
    color: #fff;
}

#CloseBook .modal-body p {
    font-size: 19px;
}

#CloseBook .close {
    margin: 0 0 0px 10px;
    font-weight: normal;
    line-height: unset;
    color: #fff;
    text-shadow: none;
    padding: 0 10px;
}

#swipe {
    position: absolute;
    z-index: 10;
    width: 100%;
    top: 35%;
    text-align: center;
}
    /*#swipe img {
        width: 200px;
    }*/

#swipeBox {
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    background: #000000;
    opacity: 0.9;
    z-index: 5;
}

#help_description {
    color: white;
    font-size: 2em;
    letter-spacing: 0em;
}

.BookMenu {
    color: #ffffff;
    font-size: 17px;
    width: 80px;
    margin: 4px;
    background-color: #FB9F43;
    border-radius: 5px;
}

.BookMenuBottom {
    /* background: url(assets_icons.svg) -385px 0px no-repeat; */
        background: url(../images/assets_icons.svg) -385px 0px no-repeat;
    width: 30px;
    height: 27px;
    padding-left: 30px;
}

.BookMenuUp {
    /* background: url(assets_icons.svg) -355px 0px no-repeat;*/
     background: url(../images/assets_icons.svg) -355px 0px no-repeat;
    width: 30px;
    height: 27px;
    padding-left: 30px;
}

.showcaser-text {
    font-family: 'ChanakyaUni', 'NalandaTim' !important;
    color: #fff;
    font-size: 2em;
    letter-spacing: 0em;
}

.showcaser-skip {
    font-family: 'ChanakyaUni', 'NalandaTim' !important;
    color: #fff;
    font-size: 1.5em;
    font-weight: 500;
    float: left;
}

.showcaser-button {
    font-family: 'ChanakyaUni', 'NalandaTim' !important;
    color: #fff;
    font-size: 1.5em;
    font-weight: 500;
    float: right;
}


@media only screen and (min-device-width : 800px) and (max-device-width : 2048px) {
    #BookName {
        font-family: 'ChanakyaUni', 'NalandaTim' !important;
        font-size: 30px!important;
        font-weight: bold;
        text-align: left;
        }
    #ChapterName {
        font-family: 'ChanakyaUni', 'NalandaTim' !important;
        font-size: 30px!important;
        font-weight: bold;
       
        }
}




@media only screen and (min-device-width : 200px) and (max-device-width : 500px) {
    .row {
        display: flex;
        flex-wrap: unset;
    }

    .zoomBox {
        width: 78px;
        height: 30px;
        background: #FB9F43;
        border-radius: 6px;
        margin: 0 -3px;
    }

    .icon-theme {
        /* background: url(assets_icons.svg) -101px 3px no-repeat; */
        background: url(../images/assets_icons.svg) -385px 0px no-repeat; 
        height: 27px;
        width: 25px;
        margin: 0 8px;
    }
}
